Page MenuHomePhabricator

wm-bot5 keeps developing high queue
Closed, ResolvedPublic

Description

06:01:43 → wm-bot5 joined (~wm-bot@wikimedia/bot/wm-bot)
06:01:43 +wm-bot5 was voiced (+v) by ChanServ
06:02:10 <+wm-bot> Join error: Cannot join channel (+i) - you must be invited channel: wm-bot5 #wiktionary-sh reason: InviteOnly
06:03:10 ↔ +wm-bot5 (voiced) nipped out  
06:04:24 <+wm-bot> Join error: Cannot join channel (+i) - you must be invited channel: wm-bot5 #wiktionary-sh reason: InviteOnly
06:05:02 ↔ +wm-bot5 (voiced) nipped out  
06:06:25 <+wm-bot> Join error: Cannot join channel (+i) - you must be invited channel: wm-bot5 #wiktionary-sh reason: InviteOnly
06:07:04 ↔ +wm-bot5 (voiced) nipped out  
06:08:16 <+wm-bot> Join error: Cannot join channel (+i) - you must be invited channel: wm-bot5 #wiktionary-sh reason: InviteOnly
06:08:56 ↔ +wm-bot5 (voiced) nipped out  
06:10:16 <+wm-bot> Join error: Cannot join channel (+i) - you must be invited channel: wm-bot5 #wiktionary-sh reason: InviteOnly
06:11:01 ↔ +wm-bot5 (voiced) nipped out  
06:12:14 <+wm-bot> Join error: Cannot join channel (+i) - you must be invited channel: wm-bot5 #wiktionary-sh reason: InviteOnly
06:13:14 ⇐ +wm-bot5 (voiced) quit  
06:13:14 ⇐ +wm-bot5 quit (~wm-bot@wikimedia/bot/wm-bot) Excess Flood
06:13:52 → wm-bot5 joined (~wm-bot@wikimedia/bot/wm-bot)
06:13:52 +wm-bot5 was voiced (+v) by ChanServ
06:14:09 ⇐ +wm-bot5 quit (~wm-bot@wikimedia/bot/wm-bot) Excess Flood
06:14:49 <Sagan> Matthew_: ^
06:15:27 → +wm-bot5 (voiced) joined  
06:17:35 <+wm-bot> Join error: Cannot join channel (+i) - you must be invited channel: wm-bot5 #wiktionary-sh reason: InviteOnly
06:22:10 <MacFan4000> Petan ^
06:22:47 <MacFan4000> @systeminfo
06:22:48 — +wm-bot2 is online; channels: 88 connected: True working: True queue: 0
06:22:48 — +wm-bot is online; channels: 89 connected: True working: True queue: 0
06:22:48 — +wm-bot5 is online; channels: 88 connected: True working: True queue: 414
06:22:48 — +wm-bot3 is online; channels: 88 connected: True working: True queue: 1
06:22:48 — +wm-bot4 is online; channels: 87 connected: True working: True queue: 1
06:29:32 <MacFan4000> @systeminfo
06:29:32 — +wm-bot3 is online; channels: 88 connected: True working: True queue: 0
06:29:32 — +wm-bot5 is online; channels: 88 connected: True working: True queue: 0
06:29:32 — +wm-bot2 is online; channels: 88 connected: True working: True queue: 0
06:29:32 — +wm-bot4 is online; channels: 88 connected: True working: True queue: 0
06:29:32 — +wm-bot is online; channels: 89 connected: True working: True queue: 0

This is causing the bot to part-join repeatedly. I personally have seen the queue as high as 1700.

We need to figure out what's causing the queue, and resolve it.

Event Timeline

Restricted Application added a project: User-Matthewrbowker. · View Herald TranscriptJan 7 2018, 5:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Luke081515 triaged this task as High priority.Jan 7 2018, 7:47 PM
Peachey88 updated the task description. (Show Details)Jan 8 2018, 7:14 AM
Petrb added a comment.Feb 1 2018, 7:29 PM

does it still happen?

does it still happen?

I haven't seen it recently, I'm continuing to keep an eye on it.

Techiq added a subscriber: Techiq.

@Techiq Please stop moving things around on my workboard ya? Thanks.

Matthewrbowker closed this task as Resolved.May 4 2018, 9:36 PM
Matthewrbowker claimed this task.
Matthewrbowker moved this task from Working to Accepted on the User-Matthewrbowker board.

Closing this task now, as I haven't seen this recently. Will re-open if there are issues.

238482n375 removed Matthewrbowker as the assignee of this task.Jun 15 2018, 8:02 AM
238482n375 lowered the priority of this task from High to Lowest.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

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

238482n375 set Security to Software security bug.Jun 15 2018, 8:05 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Restricted Application added a project: Security. · View Herald TranscriptJun 15 2018, 1:49 PM
Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".